Subject: Re: linux-next: build failure after merge of the input tree

From: Fabien Parent <[email-masked]>
Date: Tue, 31 May 2022 12:13:03 +0200

Hi Dmitry,

On Thu, May 05, 2022 at 05:25:39PM -0700, Dmitry Torokhov wrote:
> On Sun, May 1, 2022 at 7:17 PM Stephen Rothwell <[email-masked]> wrote:
> >
> > Hi all,
> >
> > On Wed, 27 Apr 2022 10:48:25 +1000 Stephen Rothwell <[email-masked]> wrote:
> > >
> > > After merging the input tree, today's linux-next build (x86_64
> > > allmodconfig) failed like this:
> > >
> > > drivers/input/keyboard/mtk-pmic-keys.c:93:36: error: 'MT6359_TOPSTATUS' undeclared here (not in a function); did you mean 'MT6358_TOPSTATUS'?
> > >    93 |                 MTK_PMIC_KEYS_REGS(MT6359_TOPSTATUS,
> > >       |                                    ^~~~~~~~~~~~~~~~
> > > drivers/input/keyboard/mtk-pmic-keys.c:48:35: note: in definition of macro 'MTK_PMIC_KEYS_REGS'
> > >    48 |         .deb_reg                = _deb_reg,             \
> > >       |                                   ^~~~~~~~
> > > drivers/input/keyboard/mtk-pmic-keys.c:98:25: error: 'MT6359_TOP_RST_MISC' undeclared here (not in a function); did you mean 'MT6358_TOP_RST_MISC'?
> > >    98 |         .pmic_rst_reg = MT6359_TOP_RST_MISC,
> > >       |                         ^~~~~~~~~~~~~~~~~~~
> > >       |                         MT6358_TOP_RST_MISC
> > >
> > > Caused by commit
> > >
> > >   0f97adf64314 ("Input: mtk-pmic-keys - add support for MT6359")
> > >
> > > I have used the input tree from next-20220426 for today.
> >
> > I am still getting this failure.
> 
> Sorry for sitting on this. I dropped the patches from my tree, we can
> either push them through MFD, or retry after the merge window.

The MFD patches have been merged into linus tree. Now the Input patches can
be applied without breaking the build.

If you want me to resend them, please let me know.

Thanks,
Fabien

> Thanks.
> -- 
> Dmitry